<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/cores/COLD_DATA_Reconf/alt_xcvr_reconfig_cpu.v Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_51d9c9f08f6806a0f97badf342e5b4d7.html">cores</a></li><li class="navelem"><a class="el" href="dir_0e4e0c1921bf4b20193084f8eb19866f.html">COLD_DATA_Reconf</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alt_xcvr_reconfig_cpu.v</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; <span class="keyword">// alt_xcvr_reconfig_cpu.v</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">// Generated using ACDS version 16.0 211</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">`timescale</span> <span class="vhdllogic">1</span> ps / <span class="vhdllogic">1</span> ps</div>
<div class="line"><a name="l00006"></a><span class="lineno"><a class="code" href="enumalt__xcvr__reconfig__cpu.html">    6</a></span>&#160;<span class="vhdlkeyword">module</span> <a class="code" href="enumalt__xcvr__reconfig__cpu.html">alt_xcvr_reconfig_cpu</a> (</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;        <span class="vhdlkeyword">input</span>  <span class="vhdlkeyword">wire</span>        <span class="vhdlchar">clk_clk</span>,                        <span class="keyword">//                    clk.clk</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;        <span class="vhdlkeyword">input</span>  <span class="vhdlkeyword">wire</span>        <span class="vhdlchar">reset_reset_n</span>,                  <span class="keyword">//                  reset.reset_n</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;        <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span> [<span class="vhdllogic">9</span>:<span class="vhdllogic">0</span>]  <span class="vhdlchar">reconfig_mem_mem_address</span>,       <span class="keyword">//       reconfig_mem_mem.address</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;        <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span>        <span class="vhdlchar">reconfig_mem_mem_read</span>,          <span class="keyword">//                       .read</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;        <span class="vhdlkeyword">input</span>  <span class="vhdlkeyword">wire</span> [<span class="vhdllogic">31</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">reconfig_mem_mem_readdata</span>,      <span class="keyword">//                       .readdata</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;        <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span>        <span class="vhdlchar">reconfig_mem_mem_write</span>,         <span class="keyword">//                       .write</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;        <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span> [<span class="vhdllogic">31</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">reconfig_mem_mem_writedata</span>,     <span class="keyword">//                       .writedata</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;        <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span> [<span class="vhdllogic">3</span>:<span class="vhdllogic">0</span>]  <span class="vhdlchar">reconfig_mem_mem_byteenable</span>,    <span class="keyword">//                       .byteenable</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;        <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span>        <span class="vhdlchar">reconfig_mem_reset_reset</span>,       <span class="keyword">//     reconfig_mem_reset.reset</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;        <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span>        <span class="vhdlchar">reconfig_mem_reset_reset_req</span>,   <span class="keyword">//                       .reset_req</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span>        <span class="vhdlchar">reconfig_ctrl_reset_reset</span>,      <span class="keyword">//    reconfig_ctrl_reset.reset</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span> [<span class="vhdllogic">4</span>:<span class="vhdllogic">0</span>]  <span class="vhdlchar">reconfig_ctrl_ctrl_address</span>,     <span class="keyword">//     reconfig_ctrl_ctrl.address</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span>        <span class="vhdlchar">reconfig_ctrl_ctrl_read</span>,        <span class="keyword">//                       .read</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="vhdlkeyword">input</span>  <span class="vhdlkeyword">wire</span> [<span class="vhdllogic">31</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">reconfig_ctrl_ctrl_readdata</span>,    <span class="keyword">//                       .readdata</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span>        <span class="vhdlchar">reconfig_ctrl_ctrl_write</span>,       <span class="keyword">//                       .write</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="vhdlkeyword">output</span> <span class="vhdlkeyword">wire</span> [<span class="vhdllogic">31</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">reconfig_ctrl_ctrl_writedata</span>,   <span class="keyword">//                       .writedata</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="vhdlkeyword">input</span>  <span class="vhdlkeyword">wire</span>        <span class="vhdlchar">reconfig_ctrl_ctrl_waitrequest</span>, <span class="keyword">//                       .waitrequest</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="vhdlkeyword">input</span>  <span class="vhdlkeyword">wire</span>        <span class="vhdlchar">reconfig_ctrl_ctrl_irq_irq</span>      <span class="keyword">// reconfig_ctrl_ctrl_irq.irq</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    );</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="vhdlkeyword">wire</span>  [<span class="vhdllogic">31</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">reconfig_cpu_data_master_readdata</span>;           <span class="keyword">// mm_interconnect_0:reconfig_cpu_data_master_readdata -&gt; reconfig_cpu:d_readdata</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="vhdlkeyword">wire</span>         <span class="vhdlchar">reconfig_cpu_data_master_waitrequest</span>;        <span class="keyword">// mm_interconnect_0:reconfig_cpu_data_master_waitrequest -&gt; reconfig_cpu:d_waitrequest</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="vhdlkeyword">wire</span>  [<span class="vhdllogic">13</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">reconfig_cpu_data_master_address</span>;            <span class="keyword">// reconfig_cpu:d_address -&gt; mm_interconnect_0:reconfig_cpu_data_master_address</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    <span class="vhdlkeyword">wire</span>   [<span class="vhdllogic">3</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">reconfig_cpu_data_master_byteenable</span>;         <span class="keyword">// reconfig_cpu:d_byteenable -&gt; mm_interconnect_0:reconfig_cpu_data_master_byteenable</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <span class="vhdlkeyword">wire</span>         <span class="vhdlchar">reconfig_cpu_data_master_read</span>;               <span class="keyword">// reconfig_cpu:d_read -&gt; mm_interconnect_0:reconfig_cpu_data_master_read</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="vhdlkeyword">wire</span>         <span class="vhdlchar">reconfig_cpu_data_master_write</span>;              <span class="keyword">// reconfig_cpu:d_write -&gt; mm_interconnect_0:reconfig_cpu_data_master_write</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="vhdlkeyword">wire</span>  [<span class="vhdllogic">31</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">reconfig_cpu_data_master_writedata</span>;          <span class="keyword">// reconfig_cpu:d_writedata -&gt; mm_interconnect_0:reconfig_cpu_data_master_writedata</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="vhdlkeyword">wire</span>  [<span class="vhdllogic">31</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">reconfig_cpu_instruction_master_readdata</span>;    <span class="keyword">// mm_interconnect_0:reconfig_cpu_instruction_master_readdata -&gt; reconfig_cpu:i_readdata</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="vhdlkeyword">wire</span>         <span class="vhdlchar">reconfig_cpu_instruction_master_waitrequest</span>; <span class="keyword">// mm_interconnect_0:reconfig_cpu_instruction_master_waitrequest -&gt; reconfig_cpu:i_waitrequest</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="vhdlkeyword">wire</span>  [<span class="vhdllogic">11</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">reconfig_cpu_instruction_master_address</span>;     <span class="keyword">// reconfig_cpu:i_address -&gt; mm_interconnect_0:reconfig_cpu_instruction_master_address</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="vhdlkeyword">wire</span>         <span class="vhdlchar">reconfig_cpu_instruction_master_read</span>;        <span class="keyword">// reconfig_cpu:i_read -&gt; mm_interconnect_0:reconfig_cpu_instruction_master_read</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="vhdlkeyword">wire</span>  [<span class="vhdllogic">31</span>:<span class="vhdllogic">0</span>] <span class="vhdlchar">reconfig_cpu_d_irq_irq</span>;                      <span class="keyword">// irq_mapper:sender_irq -&gt; reconfig_cpu:d_irq</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <a class="code" href="enumalt__xcvr__reconfig__cpu__reconfig__cpu.html">alt_xcvr_reconfig_cpu_reconfig_cpu</a> <span class="vhdlchar">reconfig_cpu</span> (</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        .<span class="vhdlchar">clk</span>           (<span class="vhdlchar">clk_clk</span>),                                     <span class="keyword">//                       clk.clk</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;        .<span class="vhdlchar">reset_n</span>       (~<span class="vhdlchar">reconfig_ctrl_reset_reset</span>),                  <span class="keyword">//                   reset_n.reset_n</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        .<span class="vhdlchar">d_address</span>     (<span class="vhdlchar">reconfig_cpu_data_master_address</span>),            <span class="keyword">//               data_master.address</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        .<span class="vhdlchar">d_byteenable</span>  (<span class="vhdlchar">reconfig_cpu_data_master_byteenable</span>),         <span class="keyword">//                          .byteenable</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        .<span class="vhdlchar">d_read</span>        (<span class="vhdlchar">reconfig_cpu_data_master_read</span>),               <span class="keyword">//                          .read</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        .<span class="vhdlchar">d_readdata</span>    (<span class="vhdlchar">reconfig_cpu_data_master_readdata</span>),           <span class="keyword">//                          .readdata</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        .<span class="vhdlchar">d_waitrequest</span> (<span class="vhdlchar">reconfig_cpu_data_master_waitrequest</span>),        <span class="keyword">//                          .waitrequest</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        .<span class="vhdlchar">d_write</span>       (<span class="vhdlchar">reconfig_cpu_data_master_write</span>),              <span class="keyword">//                          .write</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        .<span class="vhdlchar">d_writedata</span>   (<span class="vhdlchar">reconfig_cpu_data_master_writedata</span>),          <span class="keyword">//                          .writedata</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        .<span class="vhdlchar">i_address</span>     (<span class="vhdlchar">reconfig_cpu_instruction_master_address</span>),     <span class="keyword">//        instruction_master.address</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        .<span class="vhdlchar">i_read</span>        (<span class="vhdlchar">reconfig_cpu_instruction_master_read</span>),        <span class="keyword">//                          .read</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        .<span class="vhdlchar">i_readdata</span>    (<span class="vhdlchar">reconfig_cpu_instruction_master_readdata</span>),    <span class="keyword">//                          .readdata</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        .<span class="vhdlchar">i_waitrequest</span> (<span class="vhdlchar">reconfig_cpu_instruction_master_waitrequest</span>), <span class="keyword">//                          .waitrequest</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        .<span class="vhdlchar">d_irq</span>         (<span class="vhdlchar">reconfig_cpu_d_irq_irq</span>),                      <span class="keyword">//                     d_irq.irq</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        .<span class="vhdlchar">no_ci_readra</span>  ()                                             <span class="keyword">// custom_instruction_master.readra</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    );</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <a class="code" href="enumalt__xcvr__reconfig__cpu__mm__interconnect__0.html">alt_xcvr_reconfig_cpu_mm_interconnect_0</a> <span class="vhdlchar">mm_interconnect_0</span> (</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        .<span class="vhdlchar">clk_0_clk_clk</span>                                    (<span class="vhdlchar">clk_clk</span>),                                     <span class="keyword">//                                  clk_0_clk.clk</span></div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        .<span class="vhdlchar">reconfig_cpu_reset_n_reset_bridge_in_reset_reset</span> (<span class="vhdlchar">reconfig_ctrl_reset_reset</span>),                   <span class="keyword">// reconfig_cpu_reset_n_reset_bridge_in_reset.reset</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        .<span class="vhdlchar">reconfig_cpu_data_master_address</span>                 (<span class="vhdlchar">reconfig_cpu_data_master_address</span>),            <span class="keyword">//                   reconfig_cpu_data_master.address</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        .<span class="vhdlchar">reconfig_cpu_data_master_waitrequest</span>             (<span class="vhdlchar">reconfig_cpu_data_master_waitrequest</span>),        <span class="keyword">//                                           .waitrequest</span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        .<span class="vhdlchar">reconfig_cpu_data_master_byteenable</span>              (<span class="vhdlchar">reconfig_cpu_data_master_byteenable</span>),         <span class="keyword">//                                           .byteenable</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        .<span class="vhdlchar">reconfig_cpu_data_master_read</span>                    (<span class="vhdlchar">reconfig_cpu_data_master_read</span>),               <span class="keyword">//                                           .read</span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        .<span class="vhdlchar">reconfig_cpu_data_master_readdata</span>                (<span class="vhdlchar">reconfig_cpu_data_master_readdata</span>),           <span class="keyword">//                                           .readdata</span></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        .<span class="vhdlchar">reconfig_cpu_data_master_write</span>                   (<span class="vhdlchar">reconfig_cpu_data_master_write</span>),              <span class="keyword">//                                           .write</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        .<span class="vhdlchar">reconfig_cpu_data_master_writedata</span>               (<span class="vhdlchar">reconfig_cpu_data_master_writedata</span>),          <span class="keyword">//                                           .writedata</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        .<span class="vhdlchar">reconfig_cpu_instruction_master_address</span>          (<span class="vhdlchar">reconfig_cpu_instruction_master_address</span>),     <span class="keyword">//            reconfig_cpu_instruction_master.address</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        .<span class="vhdlchar">reconfig_cpu_instruction_master_waitrequest</span>      (<span class="vhdlchar">reconfig_cpu_instruction_master_waitrequest</span>), <span class="keyword">//                                           .waitrequest</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        .<span class="vhdlchar">reconfig_cpu_instruction_master_read</span>             (<span class="vhdlchar">reconfig_cpu_instruction_master_read</span>),        <span class="keyword">//                                           .read</span></div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        .<span class="vhdlchar">reconfig_cpu_instruction_master_readdata</span>         (<span class="vhdlchar">reconfig_cpu_instruction_master_readdata</span>),    <span class="keyword">//                                           .readdata</span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        .<span class="vhdlchar">reconfig_ctrl_ctrl_address</span>                       (<span class="vhdlchar">reconfig_ctrl_ctrl_address</span>),                  <span class="keyword">//                         reconfig_ctrl_ctrl.address</span></div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        .<span class="vhdlchar">reconfig_ctrl_ctrl_write</span>                         (<span class="vhdlchar">reconfig_ctrl_ctrl_write</span>),                    <span class="keyword">//                                           .write</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        .<span class="vhdlchar">reconfig_ctrl_ctrl_read</span>                          (<span class="vhdlchar">reconfig_ctrl_ctrl_read</span>),                     <span class="keyword">//                                           .read</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        .<span class="vhdlchar">reconfig_ctrl_ctrl_readdata</span>                      (<span class="vhdlchar">reconfig_ctrl_ctrl_readdata</span>),                 <span class="keyword">//                                           .readdata</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        .<span class="vhdlchar">reconfig_ctrl_ctrl_writedata</span>                     (<span class="vhdlchar">reconfig_ctrl_ctrl_writedata</span>),                <span class="keyword">//                                           .writedata</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        .<span class="vhdlchar">reconfig_ctrl_ctrl_waitrequest</span>                   (<span class="vhdlchar">reconfig_ctrl_ctrl_waitrequest</span>),              <span class="keyword">//                                           .waitrequest</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        .<span class="vhdlchar">reconfig_mem_mem_address</span>                         (<span class="vhdlchar">reconfig_mem_mem_address</span>),                    <span class="keyword">//                           reconfig_mem_mem.address</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        .<span class="vhdlchar">reconfig_mem_mem_write</span>                           (<span class="vhdlchar">reconfig_mem_mem_write</span>),                      <span class="keyword">//                                           .write</span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        .<span class="vhdlchar">reconfig_mem_mem_read</span>                            (<span class="vhdlchar">reconfig_mem_mem_read</span>),                       <span class="keyword">//                                           .read</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        .<span class="vhdlchar">reconfig_mem_mem_readdata</span>                        (<span class="vhdlchar">reconfig_mem_mem_readdata</span>),                   <span class="keyword">//                                           .readdata</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        .<span class="vhdlchar">reconfig_mem_mem_writedata</span>                       (<span class="vhdlchar">reconfig_mem_mem_writedata</span>),                  <span class="keyword">//                                           .writedata</span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        .<span class="vhdlchar">reconfig_mem_mem_byteenable</span>                      (<span class="vhdlchar">reconfig_mem_mem_byteenable</span>)                  <span class="keyword">//                                           .byteenable</span></div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    );</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="vhdlchar">alt_xcvr_reconfig_cpu_irq_mapper</span> <span class="vhdlchar">irq_mapper</span> (</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        .<span class="vhdlchar">clk</span>           (<span class="vhdlchar">clk_clk</span>),                    <span class="keyword">//       clk.clk</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        .<span class="vhdlchar">reset</span>         (<span class="vhdlchar">reconfig_ctrl_reset_reset</span>),  <span class="keyword">// clk_reset.reset</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        .<span class="vhdlchar">receiver0_irq</span> (<span class="vhdlchar">reconfig_ctrl_ctrl_irq_irq</span>), <span class="keyword">// receiver0.irq</span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        .<span class="vhdlchar">sender_irq</span>    (<span class="vhdlchar">reconfig_cpu_d_irq_irq</span>)      <span class="keyword">//    sender.irq</span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    );</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <a class="code" href="enumaltera__reset__controller.html">altera_reset_controller</a> #(</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        .<span class="vhdlchar">NUM_RESET_INPUTS</span>          (<span class="vhdllogic">1</span>),</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        .<span class="vhdlchar">OUTPUT_RESET_SYNC_EDGES</span>   (<span class="keyword">&quot;deassert&quot;</span>),</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        .<span class="vhdlchar">SYNC_DEPTH</span>                (<span class="vhdllogic">2</span>),</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        .<span class="vhdlchar">RESET_REQUEST_PRESENT</span>     (<span class="vhdllogic">1</span>),</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        .<span class="vhdlchar">RESET_REQ_WAIT_TIME</span>       (<span class="vhdllogic">1</span>),</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;        .<span class="vhdlchar">MIN_RST_ASSERTION_TIME</span>    (<span class="vhdllogic">3</span>),</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        .<span class="vhdlchar">RESET_REQ_EARLY_DSRT_TIME</span> (<span class="vhdllogic">1</span>),</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN0</span>     (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN1</span>     (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN2</span>     (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN3</span>     (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN4</span>     (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN5</span>     (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN6</span>     (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN7</span>     (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN8</span>     (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN9</span>     (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN10</span>    (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN11</span>    (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN12</span>    (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN13</span>    (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN14</span>    (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;        .<span class="vhdlchar">USE_RESET_REQUEST_IN15</span>    (<span class="vhdllogic">0</span>),</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;        .<span class="vhdlchar">ADAPT_RESET_REQUEST</span>       (<span class="vhdllogic">0</span>)</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    ) <span class="vhdlchar">rst_controller</span> (</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;        .<span class="vhdlchar">reset_in0</span>      (~<span class="vhdlchar">reset_reset_n</span>),               <span class="keyword">// reset_in0.reset</span></div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        .<span class="vhdlchar">clk</span>            (<span class="vhdlchar">clk_clk</span>),                      <span class="keyword">//       clk.clk</span></div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        .<span class="vhdlchar">reset_out</span>      (<span class="vhdlchar">reconfig_ctrl_reset_reset</span>),    <span class="keyword">// reset_out.reset</span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        .<span class="vhdlchar">reset_req</span>      (<span class="vhdlchar">reconfig_mem_reset_reset_req</span>), <span class="keyword">//          .reset_req</span></div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        .<span class="vhdlchar">reset_req_in0</span>  (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;        .<span class="vhdlchar">reset_in1</span>      (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;        .<span class="vhdlchar">reset_req_in1</span>  (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;        .<span class="vhdlchar">reset_in2</span>      (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;        .<span class="vhdlchar">reset_req_in2</span>  (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;        .<span class="vhdlchar">reset_in3</span>      (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        .<span class="vhdlchar">reset_req_in3</span>  (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;        .<span class="vhdlchar">reset_in4</span>      (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        .<span class="vhdlchar">reset_req_in4</span>  (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;        .<span class="vhdlchar">reset_in5</span>      (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;        .<span class="vhdlchar">reset_req_in5</span>  (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        .<span class="vhdlchar">reset_in6</span>      (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        .<span class="vhdlchar">reset_req_in6</span>  (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        .<span class="vhdlchar">reset_in7</span>      (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;        .<span class="vhdlchar">reset_req_in7</span>  (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;        .<span class="vhdlchar">reset_in8</span>      (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        .<span class="vhdlchar">reset_req_in8</span>  (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        .<span class="vhdlchar">reset_in9</span>      (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        .<span class="vhdlchar">reset_req_in9</span>  (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;        .<span class="vhdlchar">reset_in10</span>     (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;        .<span class="vhdlchar">reset_req_in10</span> (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;        .<span class="vhdlchar">reset_in11</span>     (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;        .<span class="vhdlchar">reset_req_in11</span> (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        .<span class="vhdlchar">reset_in12</span>     (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        .<span class="vhdlchar">reset_req_in12</span> (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        .<span class="vhdlchar">reset_in13</span>     (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        .<span class="vhdlchar">reset_req_in13</span> (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        .<span class="vhdlchar">reset_in14</span>     (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        .<span class="vhdlchar">reset_req_in14</span> (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;        .<span class="vhdlchar">reset_in15</span>     (<span class="vhdllogic">1&#39;b0</span>),                         <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;        .<span class="vhdlchar">reset_req_in15</span> (<span class="vhdllogic">1&#39;b0</span>)                          <span class="keyword">// (terminated)</span></div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    );</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <span class="vhdlkeyword">assign</span> <span class="vhdlchar">reconfig_mem_reset_reset</span> = <span class="vhdlchar">reconfig_ctrl_reset_reset</span>;</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;<span class="vhdlkeyword">endmodule</span></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:16 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
